.navbar-brand {
  color: #fcf6f5ff;
  font-family: "lato", sans-serif;
  font-weight: 500;
  font-size:300%;
  margin: 40px;
}

.form-group {
  width: 600px;
  margin: 0 auto;
  background-color: #fcf6f5ff;
  box-shadow: 0 5px 11px 0 rgba(146, 156, 146, 0.794),
    0 4px 15px 0 rgba(192, 207, 221, 0.226) !important;
  padding: 2%;
  border-radius: 20px;
  margin-top: 10%;
  align-self: center;
}
.form-row {
  padding: 2%;
}
.stream {
  padding-bottom: 5%;
  text-align: center;
}


.footer {
	
	text-align: center;
	bottom: 0;
	width: 100%;
	height: 60px;

   
}

.footer p {
	margin-top: 25px;
	font-size: 12px;
  color: #fff;
}
.template-stuff{
  padding: 1%;
}
.meme-list{
  
  text-align: center;
  font-family: "lato", sans-serif;
  margin: 6%;
  padding-top: 10%;
  padding-bottom: 0;

}

.meme-template{
  background-color: #fcf6f5ff;
  border-radius: 20px;
  margin: 7% 14%;
  padding: 3%;
  
 
  
}
img{
  z-index: 5000px;
  width: 400px;
  height: 500px;
  margin: auto;
  display: block;
  padding: 1%;
}
button{
  margin: 3px;
}
.feed {
  font-weight: bolder;
  text-align: center;
  color: #fcf6f5ff;
  font-size: x-large;
}

@media(max-width:1100px){
  .form-group {
    width: 400px;
  margin: 0 auto;
    margin-top: 10%;
  }
  img{
    width: 250px;
    height: 350px;
  }
  .feed{
    padding-top: 200px;
  }

}
@media(max-width:700px)
{
  .form-group {
    width: 350px;
  }
  .stream{
    font-size: 60%;
  }
  img{
    width: 220px;
    height: 320px;
  }
  .feed{
    padding-top: 220px;
  }
}
@media(max-width:400px)
{
  .form-group {
    padding-top: 8%;
    width: 250px;
  }
  .stream{
    font-size: 40%;
  }
  img{
    width: 150px;
    height: 220px;
  }
  .feed{
    padding-top: 250px;
  }
}
.back{
  border-radius: 100%;
}
.button {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 8rem;
  height: 3rem;
  padding: 1.5rem 1.52rem;
  background-color: #3498db;
  border: none;
  border-radius: 0.3125rem;
  box-shadow: 0 12px 24px 0 rgba(0, 0, 0, 0.2);
  color: white;
  font-weight: 300;
  text-transform: uppercase;
  overflow: hidden;
}



.button:before {
  position: absolute;
  content: '';
  bottom: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background-color: #54d98c;
}
.button span {
  position: absolute;
  line-height: 0;
}
.button span i {
  transform-origin: center center;
}
.button span:nth-of-type(1) {
  top: 50%;
  transform: translateY(-50%);
}
.button span:nth-of-type(2) {
  top: 100%;
  transform: translateY(0%);
  font-size: 24px;
}
.button span:nth-of-type(3) {
  display: none;
}
.active {
  background-color: #2ecc71;
}
.active:before {
  width: 100%;
  transition: width 3s linear;
}
.active span:nth-of-type(1) {
  top: -100%;
  transform: translateY(-50%);
}
.active span:nth-of-type(2) {
  top: 50%;
  transform: translateY(-50%);
}
.active span:nth-of-type(2) i {
  animation: loading 500ms linear infinite;
}
.active span:nth-of-type(3) {
  display: none;
}
.finished {
  background-color: #54d98c;
}
.finished .submit {
  display: none;
}
.finished .loading {
  display: none;
}
.finished .check {
  display: block !important;
  font-size: 24px;
  animation: scale 0.5s linear;
}
.finished .check i {
  transform-origin: center center;
}
@keyframes loading {
  100% {
    transform: rotate(360deg);
 }
}
@keyframes scale {
  0% {
    transform: scale(10);
 }
  50% {
    transform: scale(0.2);
 }
  70% {
    transform: scale(1.2);
 }
  90% {
    transform: scale(0.7);
 }
  100% {
    transform: scale(1);
 }
}